Subject: Re: editor?

From: XiaoFei Wang <[email-masked]>
Date: Mon, 21 Oct 1991 01:26:41 EDT

Stephen> Sounds like you want Celvis.  Celvis is an 8-bit clean
 Stephen> Chinese version of Elvis, the famous vi clone.  The Unix
 Stephen> version is used with cxterm and the DOS version works with
 Stephen> ET.

1)
 I have two naive questions for you expert on the net. The msdos version
 from purdue in zip format seems nothing but an elvis. It can edit
 English but not Chinese. For one thing, there is not any font in the
 package.

 Now Stephen said that msdos version works with ET. What is an `ET'?
 Is that an operationg system? Then we have two OS MSDOS and ET, can
 they run together ? Is ET free ?

2)
 Now I also have a question about the cxterm. My guess is it opens a
 Chinese window. Is this Chinese window something UNDER the X11 Window
 or Open Window, i.e. one has to open one of the X11 Window and OpenWin
 in order to open Chinese Window? Or One has directly open Chinese
 Window without openning the X11 or OpenWin? Since we are using Chinese
 Window, then I do not know why there is this special notice for
 OpenWin?

quote from how-to-make from purdue:

Install Chinese fonts
---------------------

  **** SPECIAL NOTICES FOR "Sun Open Windows (TM)" ****

        If you are running X11/NeWS window system server ("xnews")
        under Open Windows instead of MIT X11 window system server,
        use the following commands to install the fonts instead:

                % uncompress cclib16st.bdf.Z
                % convertfont -f 16 -M cclib16st.bdf
                % convertfont -f 16 8x18.bdf
                % bldfamily -f 16

        The same "xset" step can be used to inform your window system.

end of quote

3) Celvis
I gave a try for Celvis without Chinese Win opened and Fonts installed.
I belive it should behave exactly as elvis or vi. But it does not know
the following command:

:r ~/.cshrc

I have elvis compiled and I did not recall it has such obvious problem.
Is this a problem with Celvis implemention?

4) The last question.

I have gb2ps,
newsps ( big5-to-ps ) and readnews ( big5-to-ascii ),
b2g
utilities and associated fonts. Now if I want to install celvis on unix
then I would like install the smallest fonts. Since once I have GB file
or Big5 file, I know how to handle from then. Is this the right way of
thinking?

Your kindness of replyingmy message will be greatly appreciated.

            #      #     #        ##########
 #############     #  #  #   #         #   # #
       #           ##### ######      # #   ##
       #          # #   # #      ####  #   # #
       #         #   # #   #       #   #   #
       #                #####      #   #    ###
       #   #      ######           #   #
  ###########          #     #  ############  #
       #        ###############    #   #   # #
       #              # #          #   #   ##
       #             #   #         #   #   # #
       #            #     ##      #    #   #  #
       #     #     #        ###  #     #    # #
###############  ##          #  #      #     ##